<?php

namespace Cmo\Vat;

use Cmo\Database\Database;

class VatCalculator
{
  private $db;
  private $connection;

  public function _construct(Database $db)
  {
    $this->db = $db;
    $this->connection = $this->db->getConnection();

  
  }

  public function CalculateOriginalValueFromIncAndEx($amount, $vatRate)
  {
     $originalValueFromVatEx = $amount * (1 + $vatRate/100);
     $exVatAmount = $amount * $vatRate/100;
     $originalValueFromVatInc  = $amount / (1 + $vatRate/100);
     $incVatAmount = $amount - $amount / 1 + $vatRate/100;

     return ['Original ExVat Value' => $originalValueFromVatEx, 'ExVat Value Amount' => $exVatAmount, 'Original IncVat Value' => $originalValueFromVatInc,  'IncVat Value Amount' => $incVatAmount];
  }


  public function SaveVatHistory($amt, $vat)
  {
     $username = htmlspecialchars($amt, ENT_QUOTES, 'UTF-8');
     $email = htmlspecialchars($vat, ENT_QUOTES, 'UTF-8');
    // $password = htmlspecialchars($password, ENT_QUOTES, 'UTF-8');

    // Prepare SQL statement
    if ($this->connection === false) {
      die('Database connection failed');
  }

    if(!$stmt = $this->connection->prepare("INSERT INTO users (username, email, password) VALUES (?, ?, ?)")){

      echo "not working";
    }
  
     $hashedPassword = password_hash($password, PASSWORD_BCRYPT);

    // Bind parameters and execute
     $stmt->bind_param("sss", $username, $email, $hashedPassword);
     $result = $stmt->execute();

     if ($result) {
        echo "User created successfully.";
      } else {
        echo "Error: " . $stmt->error;
      }

      $stmt->close();

  }


}

?>